SignerAttribute (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.esf

## Class SignerAttribute

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.esf.SignerAttribute

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class SignerAttribute
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignerAttribute(Attribute[] claimedAttributes)`
    `SignerAttribute(AttributeCertificate certifiedAttributes)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SignerAttribute` | `getInstance(java.lang.Object o)`
    `java.lang.Object[]` | `getValues()` Return the sequence of choices - the array elements will either be of type Attribute[] or AttributeCertificate depending on what tag was used.
    `ASN1Primitive` | `toASN1Primitive()` SignerAttribute ::= SEQUENCE OF CHOICE { claimedAttributes [0] ClaimedAttributes, certifiedAttributes [1] CertifiedAttributes } ClaimedAttributes ::= SEQUENCE OF Attribute CertifiedAttributes ::= AttributeCertificate -- as defined in RFC 3281: see clause 4.1.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignerAttribute

          public SignerAttribute(Attribute[] claimedAttributes)

    - #### SignerAttribute

          public SignerAttribute(AttributeCertificate certifiedAttributes)

  - ### Method Detail

    - #### getInstance

          public static SignerAttribute getInstance(java.lang.Object o)

    - #### getValues

          public java.lang.Object[] getValues()

      Return the sequence of choices - the array elements will either be of type Attribute[] or AttributeCertificate depending on what tag was used.
      Returns:
        array of choices.

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

            SignerAttribute ::= SEQUENCE OF CHOICE {
                claimedAttributes   [0] ClaimedAttributes,
                certifiedAttributes [1] CertifiedAttributes }

            ClaimedAttributes ::= SEQUENCE OF Attribute
            CertifiedAttributes ::= AttributeCertificate -- as defined in RFC 3281: see clause 4.1.

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.